<?php
//@author: miniOrange
include_once('includes/miniorange_support.php');
/**
 * @file
 * Contains support form for miniOrange OAuth Client Login Module.
 */

 /**
 * Showing Support form info.
 */
 function miniorange_oauth_client_support($form, &$form_state) {

   if (variable_get('miniorange_oauth_client_customer_admin_email', NULL) == NULL || variable_get('miniorange_oauth_client_customer_id', NULL) == NULL
    || variable_get('miniorange_oauth_client_customer_admin_token', NULL) == NULL || variable_get('miniorange_oauth_client_customer_api_key', NULL) == NULL) {
    $form['header'] = array(
      '#markup' => '<center><h3>You need to register with miniOrange before using this module.</h3></center>',
    );
    return $form;
  }

  $form['markup_1'] = array(
    '#markup' => '<h3>Support</h3><div>Need any help? Just send us a query so we can help you.<br /><br /></div>',
  );

  $form['miniorange_oauth_client_email_address'] = array(
    '#type' => 'textfield',
    '#id' =>'text_field',
    '#title' => t('Email Address'),
    '#attributes' => array('placeholder' => 'Enter your email'),
     '#required' => TRUE
  );

  $form['miniorange_oauth_client_phone_number'] = array(
    '#type' => 'textfield',
    '#id' =>'text_field',
    '#title' => t('Phone number'),
    '#attributes' => array('placeholder' => 'Enter your phone number'),
  );

  $form['miniorange_oauth_client_support_query'] = array(
    '#type' => 'textarea',
    '#id' =>'text_field',
    '#title' => t('Query'),
    '#cols' => '10',
    '#rows' => '5',
    '#attributes' => array('placeholder' => 'Write your query here'),
    '#required' => TRUE,
  );

  $form['miniorange_oauth_client_support_submit'] = array(
    '#type' => 'submit',
    '#id' => 'button_config',
    '#value' => t('Submit Query'),
    '#submit' => array('miniorange_oauth_client_send_query'),
  );

  return $form;

 }

 /**
  * Send support query.
  */
 function miniorange_oauth_client_send_query($form, &$form_state) {
    $email = $form['miniorange_oauth_client_email_address']['#value'];
    $phone = $form['miniorange_oauth_client_phone_number']['#value'];
    $query = $form['miniorange_oauth_client_support_query']['#value'];
    $support = new MiniorangeOAuthClientSupport($email, $phone, $query);
    $support_response = $support->sendSupportQuery();
    if($support_response) {
      drupal_set_message(t('Support query successfully sent'));
    }
    else {
    	drupal_set_message(t('Error sending support query'), 'error');
    }
 }